
QGIS Application - Bug report #12950

Fields ignored in overlapping polygons

2015-06-12 06:05 AM - Samuel Fernando Mesa Giraldo

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.8.2 Regression?: No

Operating System: Arch Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 21030

Description

The following occur when I perform the overlap between layers of polygons. Attached files for replication. The CapaA.shp, CapaB.shp and

CapaD.shp layers, each has the "nombre" field. By making the overlap of three layers, eg

(A Union B) intersection D

You should give the three fields: nombre (CapaA.shp), nombre_1 (CapaB.shp) and hpnombre_2 (CapaD.shp), yet it is ignored one of the

fields, without providing the complete info of the three layers, ie, one the fields are overwriting.

History

#1 - 2015-06-12 06:13 AM - Samuel Fernando Mesa Giraldo

Screenshot: http://i.imgur.com/mN6w2V0.png

#2 - 2015-06-14 12:43 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category changed from Vectors to Processing/QGIS

- File mx1.png added

I cannot confirm (see attached image) using the QGIS tools available in the Processing toolbox.

Did you use the tools in the "vector" menu or the ones in the processing toolbox?

Please also test qgis master.

#3 - 2015-06-14 10:29 AM - Samuel Fernando Mesa Giraldo

Giovanni, excuse me I have seen that it works really well on another computer with the same version of QGIS in Arch Linux. Please close this petition.

Thanks.

#4 - 2015-06-14 11:02 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid

Files

CapasABD.zip 4.29 KB 2015-06-12 Samuel Fernando Mesa Giraldo
http://i.imgur.com/mN6w2V0.png


mx1.png 57.6 KB 2015-06-13 Giovanni Manghi
